/* ARCADEmini assembler (unix)
 * version 1.6.1 date 2005-10-19
 * part of the ARCADEmini project - http[s]://arcademini.schuermans.info/
 * Copyright (C) 2003-2005 1stein <1stein@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 */

#ifndef INC_debug
#define INC_debug

#include <stdio.h>

#ifdef DEBUG

#define debug( format ) printf( "DEBUG: " format "\n" );
#define debug1( format, param1 ) printf( "DEBUG: " format "\n" , param1 );
#define debug2( format, param1, param2 ) printf( "DEBUG: " format "\n" , param1, param2 );

#else

#define debug( format )
#define debug1( format, param1 )
#define debug2( format, param1, param2 )

#endif

#endif //#ifdef INC_debug
